MBeanUtils (Catalina Internal API Documentation)
Keywords: org.apache.catalina.mbeans.MBeanUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class MBeanUtils

    java.lang.Object
      org.apache.catalina.mbeans.MBeanUtils

public class MBeanUtils
extends java.lang.Object

Public utility methods in support of the server side MBeans implementation.

Version:
  $Revision: 1.49 $ $Date: 2003/02/18 23:40:27 $
Author:
  Craig R. McClanahan, Amy Roh

Constructor Summary
`MBeanUtils()`

Method Summary
`static java.lang.String` | `createManagedName(java.lang.Object component)` Create and return the name of the `ManagedBean` that corresponds to this Catalina component.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Connector connector)` Create, register, and return an MBean for this `Connector` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Context context)` Create, register, and return an MBean for this `Context` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(ContextEnvironment environment)` Create, register, and return an MBean for this `ContextEnvironment` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(ContextResource resource)` Create, register, and return an MBean for this `ContextResource` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(ContextResourceLink resourceLink)` Create, register, and return an MBean for this `ContextResourceLink` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(DefaultContext context)` Create, register, and return an MBean for this `DefaultContext` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Engine engine)` Create, register, and return an MBean for this `Engine` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Group group)` Create, register, and return an MBean for this `Group` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Host host)` Create, register, and return an MBean for this `Host` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Loader loader)` Create, register, and return an MBean for this `Loader` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Logger logger)` Create, register, and return an MBean for this `Logger` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Manager manager)` Create, register, and return an MBean for this `Manager` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(MBeanFactory factory)` Create, register, and return an MBean for this `MBeanFactory` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(NamingResources resource)` Create, register, and return an MBean for this `NamingResources` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Realm realm)` Create, register, and return an MBean for this `Realm` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Role role)` Create, register, and return an MBean for this `Role` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Server server)` Create, register, and return an MBean for this `Server` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Service service)` Create, register, and return an MBean for this `Service` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(User user)` Create, register, and return an MBean for this `User` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(UserDatabase userDatabase)` Create, register, and return an MBean for this `UserDatabase` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Valve valve)` Create, register, and return an MBean for this `Valve` object.
`static javax.management.modelmbean.ModelMBean` | `createMBean(Wrapper wrapper)`
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Connector connector)` Create an `ObjectName` for this `Connector` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Context context)` Create an `ObjectName` for this `Context` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, ContextEnvironment environment)` Create an `ObjectName` for this `Service` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, ContextResource resource)` Create an `ObjectName` for this `ContextResource` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, ContextResourceLink resourceLink)` Create an `ObjectName` for this `ContextResourceLink` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, DefaultContext context)` Create an `ObjectName` for this `DefaultContext` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Engine engine)` Create an `ObjectName` for this `Engine` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Group group)` Create an `ObjectName` for this `Group` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Host host)` Create an `ObjectName` for this `Host` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Loader loader)` Create an `ObjectName` for this `Loader` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Logger logger)` Create an `ObjectName` for this `Logger` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Manager manager)` Create an `ObjectName` for this `Manager` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, MBeanFactory factory)` Create an `ObjectName` for this `MBeanFactory` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, NamingResources resources)` Create an `ObjectName` for this `Server` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Realm realm)` Create an `ObjectName` for this `Realm` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Role role)` Create an `ObjectName` for this `Role` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Server server)` Create an `ObjectName` for this `Server` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Service service)` Create an `ObjectName` for this `Service` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, User user)` Create an `ObjectName` for this `User` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, UserDatabase userDatabase)` Create an `ObjectName` for this `UserDatabase` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Valve valve)` Create an `ObjectName` for this `Valve` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, Wrapper wrapper)` Create an `ObjectName` for this `Context` object.
`static javax.management.ObjectName` | `createObjectName77(java.lang.String domain, Context context)`
`static org.apache.commons.modeler.Registry` | `createRegistry()` Create and configure (if necessary) and return the registry of managed object descriptions.
`static javax.management.MBeanServer` | `createServer()` Create and configure (if necessary) and return the `MBeanServer` with which we will be registering our `ModelMBean` implementations.
`static void` | `destroyMBean(Connector connector, Service service)` Deregister the MBean for this `Connector` object.
`static void` | `destroyMBean(Context context)` Deregister the MBean for this `Context` object.
`static void` | `destroyMBean(ContextEnvironment environment)` Deregister the MBean for this `ContextEnvironment` object.
`static void` | `destroyMBean(ContextResource resource)` Deregister the MBean for this `ContextResource` object.
`static void` | `destroyMBean(ContextResourceLink resourceLink)` Deregister the MBean for this `ContextResourceLink` object.
`static void` | `destroyMBean(DefaultContext context)` Deregister the MBean for this `DefaultContext` object.
`static void` | `destroyMBean(Engine engine)` Deregister the MBean for this `Engine` object.
`static void` | `destroyMBean(Group group)` Deregister the MBean for this `Group` object.
`static void` | `destroyMBean(Host host)` Deregister the MBean for this `Host` object.
`static void` | `destroyMBean(Loader loader)` Deregister the MBean for this `Loader` object.
`static void` | `destroyMBean(Logger logger)` Deregister the MBean for this `Logger` object.
`static void` | `destroyMBean(Manager manager)` Deregister the MBean for this `Manager` object.
`static void` | `destroyMBean(NamingResources resources)` Deregister the MBean for this `NamingResources` object.
`static void` | `destroyMBean(Realm realm)` Deregister the MBean for this `Realm` object.
`static void` | `destroyMBean(Role role)` Deregister the MBean for this `Role` object.
`static void` | `destroyMBean(Server server)` Deregister the MBean for this `Server` object.
`static void` | `destroyMBean(Service service)` Deregister the MBean for this `Service` object.
`static void` | `destroyMBean(User user)` Deregister the MBean for this `User` object.
`static void` | `destroyMBean(UserDatabase userDatabase)` Deregister the MBean for this `UserDatabase` object.
`static void` | `destroyMBean(Valve valve, Container container)` Deregister the MBean for this `Valve` object.
`static void` | `destroyMBean(Wrapper wrapper)` Deregister the MBean for this `Wrapper` object.
`static void` | `loadMBeanDescriptors(java.lang.String resource)` Load an MBean descriptor resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanUtils

    public MBeanUtils()

Method Detail

### createManagedName

    public static java.lang.String createManagedName(java.lang.Object component)

  Create and return the name of the `ManagedBean` that corresponds to this Catalina component.

  Parameters:
    `component` - The component for which to create a name

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Connector connector)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Connector` object.

  Parameters:
    `connector` - The Connector to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Context context)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Context` object.

  Parameters:
    `context` - The Context to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Wrapper wrapper)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(ContextEnvironment environment)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `ContextEnvironment` object.

  Parameters:
    `environment` - The ContextEnvironment to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(ContextResource resource)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `ContextResource` object.

  Parameters:
    `resource` - The ContextResource to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(ContextResourceLink resourceLink)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `ContextResourceLink` object.

  Parameters:
    `resourceLink` - The ContextResourceLink to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(DefaultContext context)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `DefaultContext` object.

  Parameters:
    `context` - The DefaultContext to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Engine engine)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Engine` object.

  Parameters:
    `engine` - The Engine to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Group group)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Group` object.

  Parameters:
    `group` - The Group to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Host host)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Host` object.

  Parameters:
    `host` - The Host to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Loader loader)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Loader` object.

  Parameters:
    `loader` - The Loader to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Logger logger)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Logger` object.

  Parameters:
    `logger` - The Logger to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Manager manager)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Manager` object.

  Parameters:
    `manager` - The Manager to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(MBeanFactory factory)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `MBeanFactory` object.

  Parameters:
    `factory` - The MBeanFactory to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(NamingResources resource)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `NamingResources` object.

  Parameters:
    `resource` - The NamingResources to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Realm realm)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Realm` object.

  Parameters:
    `realm` - The Realm to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Role role)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Role` object.

  Parameters:
    `role` - The Role to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Server server)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Server` object.

  Parameters:
    `server` - The Server to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Service service)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Service` object.

  Parameters:
    `service` - The Service to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(User user)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `User` object.

  Parameters:
    `user` - The User to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(UserDatabase userDatabase)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `UserDatabase` object.

  Parameters:
    `userDatabase` - The UserDatabase to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMBean

    public static javax.management.modelmbean.ModelMBean createMBean(Valve valve)
                                                              throws java.lang.Exception

  Create, register, and return an MBean for this `Valve` object.

  Parameters:
    `valve` - The Valve to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Connector connector)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Connector` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `connector` - The Connector to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Context context)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Context` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `context` - The Context to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName77

    public static javax.management.ObjectName createObjectName77(java.lang.String domain,
                                                                 Context context)
                                                          throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Wrapper wrapper)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Context` object.

  Parameters:
    `domain` - Domain in which this name is to be created
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               ContextEnvironment environment)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Service` object.

  Parameters:
    `domain` - Domain in which this name is to be created
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               ContextResource resource)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `ContextResource` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `resource` - The ContextResource to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               ContextResourceLink resourceLink)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `ContextResourceLink` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `resourceLink` - The ContextResourceLink to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               DefaultContext context)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `DefaultContext` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `context` - The DefaultContext to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Engine engine)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Engine` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `engine` - The Engine to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Group group)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Group` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `group` - The Group to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Host host)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Host` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `host` - The Host to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Loader loader)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Loader` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `loader` - The Loader to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Logger logger)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Logger` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `logger` - The Logger to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Manager manager)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Manager` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `manager` - The Manager to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               NamingResources resources)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Server` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `resources` - The NamingResources to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               MBeanFactory factory)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `MBeanFactory` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `factory` - The MBeanFactory to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Realm realm)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Realm` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `realm` - The Realm to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Role role)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Role` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `role` - The Role to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Server server)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Server` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `server` - The Server to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Service service)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Service` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `service` - The Service to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               User user)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `User` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `user` - The User to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               UserDatabase userDatabase)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `UserDatabase` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `userDatabase` - The UserDatabase to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               Valve valve)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Valve` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `valve` - The Valve to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createRegistry

    public static org.apache.commons.modeler.Registry createRegistry()

  Create and configure (if necessary) and return the registry of managed object descriptions.

### loadMBeanDescriptors

    public static void loadMBeanDescriptors(java.lang.String resource)

  Load an MBean descriptor resource.

### createServer

    public static javax.management.MBeanServer createServer()

  Create and configure (if necessary) and return the `MBeanServer` with which we will be registering our `ModelMBean` implementations.

### destroyMBean

    public static void destroyMBean(Connector connector,
                                    Service service)
                             throws java.lang.Exception

  Deregister the MBean for this `Connector` object.

  Parameters:
    `connector` - The Connector to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Context context)
                             throws java.lang.Exception

  Deregister the MBean for this `Context` object.

  Parameters:
    `context` - The Context to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(ContextEnvironment environment)
                             throws java.lang.Exception

  Deregister the MBean for this `ContextEnvironment` object.

  Parameters:
    `environment` - The ContextEnvironment to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Wrapper wrapper)
                             throws java.lang.Exception

  Deregister the MBean for this `Wrapper` object.

  Parameters:
    `wrapper` - The Wrapper to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(ContextResource resource)
                             throws java.lang.Exception

  Deregister the MBean for this `ContextResource` object.

  Parameters:
    `resource` - The ContextResource to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(ContextResourceLink resourceLink)
                             throws java.lang.Exception

  Deregister the MBean for this `ContextResourceLink` object.

  Parameters:
    `resourceLink` - The ContextResourceLink to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(DefaultContext context)
                             throws java.lang.Exception

  Deregister the MBean for this `DefaultContext` object.

  Parameters:
    `context` - The DefaultContext to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Engine engine)
                             throws java.lang.Exception

  Deregister the MBean for this `Engine` object.

  Parameters:
    `engine` - The Engine to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Group group)
                             throws java.lang.Exception

  Deregister the MBean for this `Group` object.

  Parameters:
    `group` - The Group to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Host host)
                             throws java.lang.Exception

  Deregister the MBean for this `Host` object.

  Parameters:
    `host` - The Host to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Loader loader)
                             throws java.lang.Exception

  Deregister the MBean for this `Loader` object.

  Parameters:
    `loader` - The Loader to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Logger logger)
                             throws java.lang.Exception

  Deregister the MBean for this `Logger` object.

  Parameters:
    `logger` - The Logger to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Manager manager)
                             throws java.lang.Exception

  Deregister the MBean for this `Manager` object.

  Parameters:
    `manager` - The Manager to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(NamingResources resources)
                             throws java.lang.Exception

  Deregister the MBean for this `NamingResources` object.

  Parameters:
    `resources` - The NamingResources to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Realm realm)
                             throws java.lang.Exception

  Deregister the MBean for this `Realm` object.

  Parameters:
    `realm` - The Realm to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Role role)
                             throws java.lang.Exception

  Deregister the MBean for this `Role` object.

  Parameters:
    `role` - The Role to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Server server)
                             throws java.lang.Exception

  Deregister the MBean for this `Server` object.

  Parameters:
    `server` - The Server to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Service service)
                             throws java.lang.Exception

  Deregister the MBean for this `Service` object.

  Parameters:
    `service` - The Service to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(User user)
                             throws java.lang.Exception

  Deregister the MBean for this `User` object.

  Parameters:
    `user` - The User to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(UserDatabase userDatabase)
                             throws java.lang.Exception

  Deregister the MBean for this `UserDatabase` object.

  Parameters:
    `userDatabase` - The UserDatabase to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

### destroyMBean

    public static void destroyMBean(Valve valve,
                                    Container container)
                             throws java.lang.Exception

  Deregister the MBean for this `Valve` object.

  Parameters:
    `valve` - The Valve to be managed
  Throws:
    `java.lang.Exception` - if an MBean cannot be deregistered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.